Subject: [Bug 188] PROPFIND include-dead-props

From: [email-masked]
Date: Mon, 20 Feb 2006 14:48:10 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=188

------- Additional Comments From [email-masked]  2006-02-20 14:48 -------
Proposed text in
<http://greenbytes.de/tech/webdav/draft-reschke-webdav-rfc2518bis-latest.html#rfc.issue.bz188>
and below:

 Section 9.1.3., para. 7:
OLD:

 9.1.4.  Example - Retrieving Named and Dead Properties

NEW:

 9.1.4.  Example - Retrieving (almost) all properties plus selected live
         properties

Section 9.1.3., para. 9:
OLD:

      PROPFIND /mycol/ HTTP/1.1
      Host: www.example.com
      Depth: 1
      Content-type: application/xml; charset="utf-8"
      Content-Length: xxxx

NEW:

      PROPFIND /mycol/changes HTTP/1.1
      Host: www.example.com
      Depth: 0
      Content-Type: application/xml; charset="utf-8"
      Content-Length: xxxx

Section 9.1.3., para. 10:
OLD:

      <?xml version="1.0" encoding="utf-8" ?>
      <D:propfind xmlns:D="DAV:">
        <D:prop>
          <D:creationdate/>
          <D:getlastmodified/>
        </D:prop>
        <D:dead-props/>
      </D:propfind>

NEW:

      <?xml version="1.0" encoding="utf-8" ?>
      <D:propfind xmlns:D="DAV:">
        <D:allprop/>
        <D:include>
          <D:checked-in/>
          <D:checked-out/>
        </D:include>
      </D:propfind>

Section 9.1.3., para. 11:
OLD:

    In this example, PROPFIND is executed on a collection resource
    http://www.example.com/mycol/.  The client requests the values of two
    specific live properties plus all dead properties (names and values).
    The response is not shown.

NEW:

    In this example, PROPFIND is executed on the resource
    http://www.example.com/mycol/changes.  The client requests the values
    of all properties defined in this specification, plus the two live
    properties DAV:checked-in and DAV:checked-out defined in [RFC3253].

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.